Get Job
curl --request GET \
--url https://test-api.sandbox.co.in/it/reports/tax-pnl/securities/domestic \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://test-api.sandbox.co.in/it/reports/tax-pnl/securities/domestic"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'x-api-key': '<x-api-key>',
'x-api-version': '<x-api-version>'
}
};
fetch('https://test-api.sandbox.co.in/it/reports/tax-pnl/securities/domestic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "f3dcdd8e-6226-4198-b0c2-a4d98b3477a7",
"code": 200,
"data": {
"status": "created"
},
"timestamp": "1695117924000"
}{
"message": "Missing required request parameters: [job_id]"
}Check the latest status of a domestic Taxβ―P&L report by passing the job_id with your auth headers.
GET
/
it
/
reports
/
tax-pnl
/
securities
/
domestic
Get Job
Headers
Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.
Your API key used to authenticate and authorize the request.
Indicates the version of the API you want to use. Ensures backward-compatible behavior.
Query Parameters
Unique identifier of the job whose processing status you want to fetch. Returned in the response when a tax P&L job is created.
Response
Job status retrieved successfully
Unique identifier for tracking the request across systems
HTTP status code
Response payload containing job status details
Show child attributes
Show child attributes
Unix timestamp (in milliseconds) indicating when the server generated the response
Was this page helpful?
βI